{
  "name": "enm-api",
  "version": "0.1.0",
  "description": "earthnew.media API",
  "keywords": [
    "loopback-application",
    "loopback"
  ],
  "main": "index.js",
  "engines": {
    "node": ">=8.9"
  },
  "scripts": {
    "build": "lb-tsc",
    "build:watch": "lb-tsc --watch",
    "clean": "lb-clean dist *.tsbuildinfo",
    "lint": "npm run prettier:check && npm run eslint",
    "lint:fix": "npm run eslint:fix && npm run prettier:fix",
    "prettier:cli": "lb-prettier \"**/*.ts\" \"**/*.js\"",
    "prettier:check": "npm run prettier:cli -- -l",
    "prettier:fix": "npm run prettier:cli -- --write",
    "eslint": "lb-eslint --report-unused-disable-directives .",
    "eslint:fix": "npm run eslint -- --fix",
    "pretest": "npm run clean && npm run build",
    "test": "lb-mocha --allow-console-logs \"dist/__tests__\"",
    "posttest": "npm run lint",
    "test:dev": "lb-mocha --allow-console-logs dist/__tests__/**/*.js && npm run posttest",
    "docker:build": "docker build -t enm.site.api .",
    "docker:run": "docker run -p 3000:3000 -d enm.site.api",
    "migrate": "node ./dist/migrate",
    "prestart": "npm run build",
    "start": "node -r source-map-support/register .",
    "prepublishOnly": "npm run test"
  },
  "repository": {
    "type": "git"
  },
  "author": "",
  "license": "",
  "files": [
    "README.md",
    "index.js",
    "index.d.ts",
    "dist",
    "src",
    "!*/__tests__"
  ],
  "dependencies": {
    "@loopback/authentication": "^3.3.3",
    "@loopback/authorization": "^0.4.10",
    "@loopback/boot": "^1.7.4",
    "@loopback/context": "^2.1.1",
    "@loopback/core": "^1.12.4",
    "@loopback/openapi-v3": "^2.0.0",
    "@loopback/repository": "^1.19.1",
    "@loopback/repository-json-schema": "^2.0.2",
    "@loopback/rest": "^2.0.0",
    "@loopback/rest-explorer": "^1.4.10",
    "@loopback/security": "^0.1.13",
    "@loopback/service-proxy": "^1.3.17",
    "@types/bcryptjs": "^2.4.2",
    "@types/jsonwebtoken": "^8.3.8",
    "@types/yaml": "^1.2.0",
    "bcryptjs": "^2.4.3",
    "isemail": "^3.2.0",
    "jsonwebtoken": "^8.5.1",
    "loopback-connector-mongodb": "^5.2.3",
    "slugify": "^1.4.0",
    "testcontainers": "^2.7.0",
    "yaml": "^1.8.3"
  },
  "devDependencies": {
    "@loopback/build": "^3.1.1",
    "@loopback/eslint-config": "^5.0.3",
    "@loopback/testlab": "^1.10.3",
    "@types/node": "^10.17.18",
    "@typescript-eslint/eslint-plugin": "^2.26.0",
    "@typescript-eslint/parser": "^2.26.0",
    "eslint": "^6.8.0",
    "eslint-config-prettier": "^6.10.1",
    "eslint-plugin-eslint-plugin": "^2.2.1",
    "eslint-plugin-mocha": "^6.2.2",
    "source-map-support": "^0.5.16",
    "typescript": "~3.7.5"
  }
}
